// ---------------------------------------------------------------------------------------
//
// Hindernis2C.C                                                    Ulrich Mller 17.02.06
//                                                                  PCS1700 Renesas C 4.00
// Mobile Robot Set : Hinderniserkennung 2 mit roboFish.C/H
//
// ---------------------------------------------------------------------------------------

#include "roboFish.h"

#define mLinks  1
#define mRechts 2
#define eImpuls 1
#define eLinks  3
#define eRechts 4
#define eHinten 5
#define dLinks  1
#define dRechts 2
#define dAus    0

void Stopp(void) {
  SetMotor(mLinks,  dAus);
  SetMotor(mRechts, dAus);
}
void Vorwarts(void) {
  SetMotor(mLinks,  dLinks);
  SetMotor(mRechts, dLinks);
}
void Links(void) {
  SetMotor(mLinks,  dLinks);
  SetMotor(mRechts, dRechts);
}
void Rechts(void) {
  SetMotor(mLinks,  dRechts);
  SetMotor(mRechts, dLinks);
}
void Ruckwarts(void) {
  SetMotor(mLinks,  dRechts);
  SetMotor(mRechts, dRechts);
}

void AusweichenLinks(UINT TermNr) {
  Stopp();
	FtDelay(1000);
	Ruckwarts();
  WaitForChange(eImpuls, 10, TermNr);
	Stopp();
  Links();
  WaitForChange(eImpuls, 3);
  Stopp();
}
void AusweichenRechts(UINT TermNr) {
	Stopp();
	FtDelay(1000);
  Ruckwarts();
  WaitForChange(eImpuls, 10, TermNr);
  Stopp();
	Rechts();
  WaitForChange(1, 7);
  Stopp();
}
void Ausweichen90(UINT TermNr) {
	Stopp();
	FtDelay(1000);
	Ruckwarts();
	WaitForChange(eImpuls, 10, TermNr);
	Stopp();
	Links();
	WaitForChange(eImpuls, 7);
	Stopp();
}

UCHAR main(void) {
  InitFish();
	do {
	  if(GetInput(eLinks)       && !GetInput(eRechts)) {
		  AusweichenLinks(eHinten);}
    else if(!GetInput(eLinks) && GetInput(eRechts)) {
	    AusweichenRechts(eHinten); }
		else if(GetInput(eLinks)  && GetInput(eRechts)) {
			Ausweichen90(eHinten);}
	  else {
	    Vorwarts(); }
	} while(1);
	return(0);
}