// -------------------------------------------------------------------------------------
//
// roboFishVC.H                                                   Ulrich Mller 21.02.06
//                                                                PCS1700       VC++ 6.0
// Deklarationen fr die roboFish-Funktionen
//
// -------------------------------------------------------------------------------------

#include <Windows.h>
#include "umFtLib.h"

void InitFish(void);
void FinishFish(void);

BOOL  GetInput(UCHAR InputNr);
UCHAR GetInputs(void);
UINT  GetAnalog(UCHAR AnalogNr);
UINT  GetVoltage(UCHAR VoltNr);
BOOL  GetIRKey(UCHAR Code, UCHAR KeyNr);
void  SetMotor(UCHAR MotorNr, UCHAR Dir, UCHAR Speed = 8);
UCHAR GetMotors(void);
void  SetMotors(UCHAR MotorStatus, UINT SpeedStatus = 0x7777);
void  SetLamp(unsigned short LampNr, BOOL OnOff, UCHAR Power = 8);
void  WaitForChange(UCHAR InputNr, UINT NrOfChanges, UCHAR TermNr = 255);
void  WaitForInput(UCHAR InputNr, BOOL OnOff = TRUE);
void  Pause(UINT mSek);
BOOL  Finish(void);
