// ----------------------------------------------------------------------------------
//
// umFish40.c                                                  Ulrich Mller 16.02.06
//                                                             PCS1700 Renesas C 4.00
// Betriebs-Routinen auf Basis der TransferArea
//
// ----------------------------------------------------------------------------------

#include "TA_Firmware\TAF_00D.h";
#include "TA_Firmware\TAF_00P.h";
#include "umFish40.h";

void InitFish(void) {
    UINT i;
	for(i = 0; i < 8; i++) sTrans.MPWM_Main[0] = 7;
	sTrans.MPWM_Update = 0x01;
}

BOOL GetInput(UINT InputNr) {
  return sTrans.E16_Main[--InputNr] ? TRUE : FALSE;
}

void SetMotor(UINT MotorNr, UINT Dir) {
  UINT n = --MotorNr << 1;
  sTrans.M_Main &= ~(3 << n);      // --- Richtung lschen
  switch (Dir) {                   //              setzen
    case 0: break;
	case 1: sTrans.M_Main |= 1 << n; break;
	case 2: sTrans.M_Main |= 2 << n; break;
  }
}
