// ---------------------------------------------------------------------------------------
//
// MR2C.C                                                           Ulrich Mller 16.02.06
//                                                                  PCS1700 Renesas C 4.00
// Mobile Robot Set : Hinderniserkennung 1, Variante mit roboFish.C/H
//
// ---------------------------------------------------------------------------------------

#include "TA_Firmware\TAF_00D.h"
#include "TA_Firmware\TAF_00P.h"
#include "roboFish.h"

void Stopp(void) {
  SetMotor(1, 0);
  SetMotor(2, 0);
}
void Vorwarts(void) {
  SetMotor(1, 1);
  SetMotor(2, 1);
}
void Links(void) {
  SetMotor(1, 1);
  SetMotor(2, 2);
}
void Rechts(void) {
  SetMotor(1, 2);
  SetMotor(2, 1);
}
void Ruckwarts(void) {
  SetMotor(1, 2);
  SetMotor(2, 2);
}

void ZuruckLinks(void) {
  Ruckwarts();
  WaitForChange(1, 6);
  Links();
  WaitForChange(1, 3);
  Stopp();
  FtDelay(500);
}
void ZuruckRechts(void) {
  Ruckwarts();
  WaitForChange(1, 6);
  Rechts();
  WaitForChange(1, 7);
  Stopp();
  FtDelay(500);
}

UCHAR main(void) {
  InitFish();
	do {
	  if(GetInput(3)) {
		  Stopp();
		  FtDelay(500);
		  ZuruckLinks(); }
    else if(GetInput(4)) {
	    Stopp();
		  FtDelay(500);
		  ZuruckRechts(); }
	  else {
	    Vorwarts(); }
	} while(1);
	return(0);
}